df5f42559d4ed705f0b245cfb0f513d28daf303b
[scilab.git] / scilab / modules / symbolic / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at    
25 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
26
27 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
28 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
29 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
30 #
31 # This file must be used under the terms of the CeCILL.
32 # This source file is licensed as described in the file COPYING, which
33 # you should have received as part of this distribution.  The terms
34 # are also available at
35 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44 VPATH = @srcdir@
45 am__make_dryrun = \
46   { \
47     am__dry=no; \
48     case $$MAKEFLAGS in \
49       *\\[\ \   ]*) \
50         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
51           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
52       *) \
53         for am__flg in $$MAKEFLAGS; do \
54           case $$am__flg in \
55             *=*|--*) ;; \
56             *n*) am__dry=yes; break;; \
57           esac; \
58         done;; \
59     esac; \
60     test $$am__dry = yes; \
61   }
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 build_triplet = @build@
79 host_triplet = @host@
80 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
81         $(top_srcdir)/Makefile.incl.am
82 @NEED_JAVA_TRUE@am__append_1 = java
83 subdir = modules/symbolic
84 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
86         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
87         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/fftw.m4 \
88         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
89         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
90         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
91         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
92         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
93         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
94         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
95         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
96         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
97         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
98         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
99         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
100         $(top_srcdir)/configure.ac
101 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102         $(ACLOCAL_M4)
103 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
104 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
105 CONFIG_CLEAN_FILES =
106 CONFIG_CLEAN_VPATH_FILES =
107 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
108 am__vpath_adj = case $$p in \
109     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
110     *) f=$$p;; \
111   esac;
112 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
113 am__install_max = 40
114 am__nobase_strip_setup = \
115   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
116 am__nobase_strip = \
117   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
118 am__nobase_list = $(am__nobase_strip_setup); \
119   for p in $$list; do echo "$$p $$p"; done | \
120   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
121   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
122     if (++n[$$2] == $(am__install_max)) \
123       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
124     END { for (dir in files) print dir, files[dir] }'
125 am__base_list = \
126   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
127   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
128 am__uninstall_files_from_dir = { \
129   test -z "$$files" \
130     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
131     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
132          $(am__cd) "$$dir" && rm -f $$files; }; \
133   }
134 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
135         "$(DESTDIR)$(libscisymbolic_la_etcdir)" \
136         "$(DESTDIR)$(libscisymbolic_la_rootdir)" \
137         "$(DESTDIR)$(libscisymbolic_la_sci_gatewaydir)"
138 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
139 libscisymbolic_algo_la_LIBADD =
140 am__objects_1 = sci_f_addsubf.lo sci_f_mulf.lo sci_f_ldivf.lo \
141         sci_f_rdivf.lo
142 am__objects_2 = atome.lo
143 am_libscisymbolic_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
144 libscisymbolic_algo_la_OBJECTS = $(am_libscisymbolic_algo_la_OBJECTS)
145 libscisymbolic_la_DEPENDENCIES = libscisymbolic-algo.la
146 am__objects_3 = libscisymbolic_la-gw_symbolic.lo \
147         libscisymbolic_la-sci_mulf.lo libscisymbolic_la-sci_ldivf.lo \
148         libscisymbolic_la-sci_addsubf.lo \
149         libscisymbolic_la-sci_rdivf.lo
150 am_libscisymbolic_la_OBJECTS = $(am__objects_3)
151 libscisymbolic_la_OBJECTS = $(am_libscisymbolic_la_OBJECTS)
152 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
153 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
154 am__depfiles_maybe = depfiles
155 am__mv = mv -f
156 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
157         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
158 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
159         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
160         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
161 CCLD = $(CC)
162 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
163         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
164         $(LDFLAGS) -o $@
165 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
166 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
167         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
168 F77LD = $(F77)
169 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
170         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
171         $(LDFLAGS) -o $@
172 SOURCES = $(libscisymbolic_algo_la_SOURCES) \
173         $(libscisymbolic_la_SOURCES)
174 DIST_SOURCES = $(libscisymbolic_algo_la_SOURCES) \
175         $(libscisymbolic_la_SOURCES)
176 am__can_run_installinfo = \
177   case $$AM_UPDATE_INFO_DIR in \
178     n|no|NO) false;; \
179     *) (install-info --version) >/dev/null 2>&1;; \
180   esac
181 DATA = $(libscisymbolic_la_etc_DATA) $(libscisymbolic_la_root_DATA) \
182         $(libscisymbolic_la_sci_gateway_DATA)
183 ETAGS = etags
184 CTAGS = ctags
185 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
186 ACLOCAL = @ACLOCAL@
187 ALL_LINGUAS = @ALL_LINGUAS@
188 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
189 AMTAR = @AMTAR@
190 ANT = @ANT@
191 ANTLR = @ANTLR@
192 AR = @AR@
193 ARPACK_LIBS = @ARPACK_LIBS@
194 ASM3 = @ASM3@
195 AUTOCONF = @AUTOCONF@
196 AUTOHEADER = @AUTOHEADER@
197 AUTOMAKE = @AUTOMAKE@
198 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
199 AWK = @AWK@
200 BATIK = @BATIK@
201 BLAS_LIBS = @BLAS_LIBS@
202 CC = @CC@
203 CCACHE = @CCACHE@
204 CCDEPMODE = @CCDEPMODE@
205 CFLAGS = @CFLAGS@
206 CHECKSTYLE = @CHECKSTYLE@
207 COBERTURA = @COBERTURA@
208 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
209 COMMONS_IO = @COMMONS_IO@
210 COMMONS_LOGGING = @COMMONS_LOGGING@
211 CPP = @CPP@
212 CPPFLAGS = @CPPFLAGS@
213 CXX = @CXX@
214 CXXCPP = @CXXCPP@
215 CXXDEPMODE = @CXXDEPMODE@
216 CXXFLAGS = @CXXFLAGS@
217 CYGPATH_W = @CYGPATH_W@
218 DEFS = @DEFS@
219 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
220 DEPDIR = @DEPDIR@
221 DOCBOOK_ROOT = @DOCBOOK_ROOT@
222 DOXYGEN_BIN = @DOXYGEN_BIN@
223 DSYMUTIL = @DSYMUTIL@
224 DUMPBIN = @DUMPBIN@
225 ECHO_C = @ECHO_C@
226 ECHO_N = @ECHO_N@
227 ECHO_T = @ECHO_T@
228 EGREP = @EGREP@
229 EXEEXT = @EXEEXT@
230 F77 = @F77@
231 FFLAGS = @FFLAGS@
232 FFTW3_LIB = @FFTW3_LIB@
233 FFTW_ENABLE = @FFTW_ENABLE@
234 FGREP = @FGREP@
235 FLEXDOCK = @FLEXDOCK@
236 FLIBS = @FLIBS@
237 FOP = @FOP@
238 GENHTML = @GENHTML@
239 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
240 GIWS_BIN = @GIWS_BIN@
241 GLUEGEN2_RT = @GLUEGEN2_RT@
242 GMSGFMT = @GMSGFMT@
243 GMSGFMT_015 = @GMSGFMT_015@
244 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
245 GREP = @GREP@
246 GUI_ENABLE = @GUI_ENABLE@
247 HDF5_CFLAGS = @HDF5_CFLAGS@
248 HDF5_LIBS = @HDF5_LIBS@
249 HELP_ENABLE = @HELP_ENABLE@
250 INSTALL = @INSTALL@
251 INSTALL_DATA = @INSTALL_DATA@
252 INSTALL_PROGRAM = @INSTALL_PROGRAM@
253 INSTALL_SCRIPT = @INSTALL_SCRIPT@
254 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
255 INTLLIBS = @INTLLIBS@
256 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
257 JAR = @JAR@
258 JAVA = @JAVA@
259 JAVAC = @JAVAC@
260 JAVAC_DEBUG = @JAVAC_DEBUG@
261 JAVADOC = @JAVADOC@
262 JAVAH = @JAVAH@
263 JAVASCI_ENABLE = @JAVASCI_ENABLE@
264 JAVA_ENABLE = @JAVA_ENABLE@
265 JAVA_G = @JAVA_G@
266 JAVA_HOME = @JAVA_HOME@
267 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
268 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
269 JDB = @JDB@
270 JEUCLID_CORE = @JEUCLID_CORE@
271 JGRAPHX = @JGRAPHX@
272 JHALL = @JHALL@
273 JLATEXMATH = @JLATEXMATH@
274 JLATEXMATH_FOP = @JLATEXMATH_FOP@
275 JOGL2 = @JOGL2@
276 JROSETTA_API = @JROSETTA_API@
277 JROSETTA_ENGINE = @JROSETTA_ENGINE@
278 JUNIT4 = @JUNIT4@
279 LAPACK_LIBS = @LAPACK_LIBS@
280 LCOV = @LCOV@
281 LD = @LD@
282 LDFLAGS = @LDFLAGS@
283 LIBICONV = @LIBICONV@
284 LIBINTL = @LIBINTL@
285 LIBM = @LIBM@
286 LIBOBJS = @LIBOBJS@
287 LIBS = @LIBS@
288 LIBTOOL = @LIBTOOL@
289 LIPO = @LIPO@
290 LN_S = @LN_S@
291 LOGGING_LEVEL = @LOGGING_LEVEL@
292 LOOKS = @LOOKS@
293 LTLIBICONV = @LTLIBICONV@
294 LTLIBINTL = @LTLIBINTL@
295 LTLIBOBJS = @LTLIBOBJS@
296 MAINT = @MAINT@
297 MAKEINFO = @MAKEINFO@
298 MATIO_CFLAGS = @MATIO_CFLAGS@
299 MATIO_ENABLE = @MATIO_ENABLE@
300 MATIO_LIBS = @MATIO_LIBS@
301 MKDIR_P = @MKDIR_P@
302 MSGCAT = @MSGCAT@
303 MSGFMT = @MSGFMT@
304 MSGFMT_015 = @MSGFMT_015@
305 MSGMERGE = @MSGMERGE@
306 NM = @NM@
307 NMEDIT = @NMEDIT@
308 OBJDUMP = @OBJDUMP@
309 OBJEXT = @OBJEXT@
310 OCAMLC = @OCAMLC@
311 OCAMLDEP = @OCAMLDEP@
312 OCAMLLEX = @OCAMLLEX@
313 OCAMLOPT = @OCAMLOPT@
314 OCAMLYACC = @OCAMLYACC@
315 OPENMP_CFLAGS = @OPENMP_CFLAGS@
316 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
317 OPENMP_ENABLE = @OPENMP_ENABLE@
318 OPENMP_LIBS = @OPENMP_LIBS@
319 OTOOL = @OTOOL@
320 OTOOL64 = @OTOOL64@
321 PACKAGE = @PACKAGE@
322 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
323 PACKAGE_NAME = @PACKAGE_NAME@
324 PACKAGE_STRING = @PACKAGE_STRING@
325 PACKAGE_TARNAME = @PACKAGE_TARNAME@
326 PACKAGE_URL = @PACKAGE_URL@
327 PACKAGE_VERSION = @PACKAGE_VERSION@
328 PATH_SEPARATOR = @PATH_SEPARATOR@
329 PCRE_CFLAGS = @PCRE_CFLAGS@
330 PCRE_CONFIG = @PCRE_CONFIG@
331 PCRE_LIBS = @PCRE_LIBS@
332 PCRE_VERSION = @PCRE_VERSION@
333 PKG_CONFIG = @PKG_CONFIG@
334 POSUB = @POSUB@
335 POW_LIB = @POW_LIB@
336 PYTHON = @PYTHON@
337 RANLIB = @RANLIB@
338 RELOCATABLE = @RELOCATABLE@
339 RT_LIB = @RT_LIB@
340 SAXON = @SAXON@
341 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
342 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
343 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
344 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
345 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
346 SCIRENDERER = @SCIRENDERER@
347 SCI_CFLAGS = @SCI_CFLAGS@
348 SCI_CXXFLAGS = @SCI_CXXFLAGS@
349 SCI_FFLAGS = @SCI_FFLAGS@
350 SCI_LDFLAGS = @SCI_LDFLAGS@
351 SED = @SED@
352 SET_MAKE = @SET_MAKE@
353 SET_RELOCATABLE = @SET_RELOCATABLE@
354 SHELL = @SHELL@
355 SKINLF = @SKINLF@
356 SPLINT = @SPLINT@
357 STRIP = @STRIP@
358 SWIG_BIN = @SWIG_BIN@
359 SWIG_JAVA = @SWIG_JAVA@
360 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
361 TCLTK_LIBS = @TCLTK_LIBS@
362 TCL_INC_PATH = @TCL_INC_PATH@
363 TK_INC_PATH = @TK_INC_PATH@
364 UMFPACK_ENABLE = @UMFPACK_ENABLE@
365 UMFPACK_LIB = @UMFPACK_LIB@
366 USE_NLS = @USE_NLS@
367 VERSION = @VERSION@
368 WITH_OCAML = @WITH_OCAML@
369 WITH_TKSCI = @WITH_TKSCI@
370 XCOS_ENABLE = @XCOS_ENABLE@
371 XGETTEXT = @XGETTEXT@
372 XGETTEXT_015 = @XGETTEXT_015@
373 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
374 XMKMF = @XMKMF@
375 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
376 XML_APIS_EXT = @XML_APIS_EXT@
377 XML_CONFIG = @XML_CONFIG@
378 XML_FLAGS = @XML_FLAGS@
379 XML_LIBS = @XML_LIBS@
380 XML_VERSION = @XML_VERSION@
381 X_CFLAGS = @X_CFLAGS@
382 X_EXTRA_LIBS = @X_EXTRA_LIBS@
383 X_LIBS = @X_LIBS@
384 X_PRE_LIBS = @X_PRE_LIBS@
385 abs_builddir = @abs_builddir@
386 abs_srcdir = @abs_srcdir@
387 abs_top_builddir = @abs_top_builddir@
388 abs_top_srcdir = @abs_top_srcdir@
389 ac_ct_CC = @ac_ct_CC@
390 ac_ct_CXX = @ac_ct_CXX@
391 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
392 ac_ct_F77 = @ac_ct_F77@
393 am__include = @am__include@
394 am__leading_dot = @am__leading_dot@
395 am__quote = @am__quote@
396 am__tar = @am__tar@
397 am__untar = @am__untar@
398 bindir = @bindir@
399 build = @build@
400 build_alias = @build_alias@
401 build_cpu = @build_cpu@
402 build_os = @build_os@
403 build_vendor = @build_vendor@
404 builddir = @builddir@
405 cxx_present = @cxx_present@
406 datadir = @datadir@
407 datarootdir = @datarootdir@
408 docdir = @docdir@
409 dvidir = @dvidir@
410 exec_prefix = @exec_prefix@
411 host = @host@
412 host_alias = @host_alias@
413 host_cpu = @host_cpu@
414 host_os = @host_os@
415 host_vendor = @host_vendor@
416 htmldir = @htmldir@
417 includedir = @includedir@
418 infodir = @infodir@
419 install_sh = @install_sh@
420 libdir = @libdir@
421 libexecdir = @libexecdir@
422 localedir = @localedir@
423 localstatedir = @localstatedir@
424 mandir = @mandir@
425 mkdir_p = @mkdir_p@
426 oldincludedir = @oldincludedir@
427 pdfdir = @pdfdir@
428 prefix = @prefix@
429 program_transform_name = @program_transform_name@
430 psdir = @psdir@
431 sbindir = @sbindir@
432 sharedstatedir = @sharedstatedir@
433 srcdir = @srcdir@
434 sysconfdir = @sysconfdir@
435 target_alias = @target_alias@
436 top_build_prefix = @top_build_prefix@
437 top_builddir = @top_builddir@
438 top_srcdir = @top_srcdir@
439 GATEWAY_C_SOURCES = sci_gateway/c/gw_symbolic.c \
440 sci_gateway/c/sci_mulf.c \
441 sci_gateway/c/sci_ldivf.c \
442 sci_gateway/c/sci_addsubf.c \
443 sci_gateway/c/sci_rdivf.c
444
445 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/sci_f_addsubf.f \
446 sci_gateway/fortran/sci_f_mulf.f \
447 sci_gateway/fortran/sci_f_ldivf.f \
448 sci_gateway/fortran/sci_f_rdivf.f
449
450 FORTRAN_SOURCES = src/fortran/atome.f
451 libscisymbolic_la_CPPFLAGS = -I$(srcdir)/includes/ \
452                                 -I$(top_srcdir)/libs/MALLOC/includes/ \
453                                 -I$(top_srcdir)/modules/api_scilab/includes/ \
454                                 -I$(top_srcdir)/modules/localization/includes/ \
455                                 -I$(top_srcdir)/modules/output_stream/includes/ \
456                                 $(AM_CPPFLAGS)
457
458 #-Isrc/c/
459 pkglib_LTLIBRARIES = libscisymbolic.la
460 noinst_LTLIBRARIES = libscisymbolic-algo.la
461 libscisymbolic_algo_la_SOURCES = $(GATEWAY_FORTRAN_SOURCES) $(FORTRAN_SOURCES)
462 libscisymbolic_la_SOURCES = $(GATEWAY_C_SOURCES)
463 libscisymbolic_algo_la_CPPFLAGS = $(libscisymbolic_la_CPPFLAGS)
464 # For the code check (splint)
465 CHECK_SRC = $(GATEWAY_C_SOURCES)
466 INCLUDE_FLAGS = $(libscisymbolic_la_CPPFLAGS)
467 libscisymbolic_la_LIBADD = libscisymbolic-algo.la
468
469 #### Target ######
470 modulename = symbolic
471
472 #### symbolic : Conf files ####
473 libscisymbolic_la_rootdir = $(mydatadir)
474 libscisymbolic_la_root_DATA = license.txt 
475
476 ####┬ásymbolic : init scripts ####
477 libscisymbolic_la_etcdir = $(mydatadir)/etc
478 libscisymbolic_la_etc_DATA = etc/symbolic.quit etc/symbolic.start
479
480 ####┬ásymbolic : gateway declaration ####
481 libscisymbolic_la_sci_gatewaydir = $(mydatadir)/sci_gateway
482 libscisymbolic_la_sci_gateway_DATA = sci_gateway/symbolic_gateway.xml
483
484 # Where all the Scilab stuff is installed (macros, help, ...)
485 mydatadir = $(pkgdatadir)/modules/$(modulename)
486
487 # Set AM_* SCI detected settings
488 AM_CPPFLAGS = $(SCI_CPPFLAGS)
489 AM_CFLAGS = $(SCI_CFLAGS)
490 AM_CXXFLAGS = $(SCI_CXXFLAGS)
491 # append includes to AM_FFLAGS to manage fortran includes
492 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
493
494 # Tag shared libraries with the Scilab version
495 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
496
497 # splint options
498 SPLINT_OPTIONS = -weak -booltype BOOL
499
500 ########################### JAVA ######################################
501 #### We are delegating java compilation to ant... Thanks to that
502 #### the procedure will be the same with Microsoft Windows (C)
503 #### and Linux/Unix
504 #######################################################################
505 TARGETS_ALL = $(am__append_1)
506
507 ################ MACROS ######################
508 # Rule to build a macro
509 # NOT USED  AT THE MOMENT
510 SUFFIXES = .sci 
511
512 ########### INSTALL DOCUMENTATION ###################
513
514 # Install documentation files into the right target
515 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
516 # automake needs the html files to be present which is not the case when
517 # we are building Scilab
518
519 # Where it should be installed
520 pkgdocdir = $(mydatadir)
521
522 # What is the mask of the help source
523 DOCMASKXML = *.xml
524
525 # What is the mask of the MathML sources
526 DOCMASKMML = *.mml
527
528 ########### INSTALL DATA ###################
529 # Install macros, help & demos
530 # Where it should be installed
531 pkgmacrosdir = $(mydatadir)
532 # Which directory we process
533 MACRODIRS = macros/
534 # Mask of the Scilab sources macros
535 MACROMASK = *.sci
536 # Mask of the Scilab executable sources macros
537 MACROBUILDMASK = *.sce
538 # Mask of the Scilab compiled macros
539 MACROBINMASK = *.bin
540 # List of the standard directory for tests
541 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
542 # Where the demos should be installed
543 pkgdemosdir = $(mydatadir)
544 # List of the standard directory for demos
545 DEMOS_DIR = demos
546 # List of the standard directory for examples
547 EXAMPLES_DIR = examples
548 # Where to export JAVA archives (.jar)
549 JARDIR = jar/
550 # JAR files mask
551 JARMASK = *.jar
552 # Chapter file 
553 HELP_CHAPTERDIR = help/
554 HELP_CHAPTERFILE = addchapter.sce
555 HELP_CHAPTERLANG = en_US fr_FR pt_BR
556 all: all-am
557
558 .SUFFIXES:
559 .SUFFIXES: .sci .bin .c .f .lo .o .obj
560 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
561         @for dep in $?; do \
562           case '$(am__configure_deps)' in \
563             *$$dep*) \
564               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
565                 && { if test -f $@; then exit 0; else break; fi; }; \
566               exit 1;; \
567           esac; \
568         done; \
569         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/symbolic/Makefile'; \
570         $(am__cd) $(top_srcdir) && \
571           $(AUTOMAKE) --foreign modules/symbolic/Makefile
572 .PRECIOUS: Makefile
573 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
574         @case '$?' in \
575           *config.status*) \
576             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
577           *) \
578             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
579             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
580         esac;
581 $(top_srcdir)/Makefile.incl.am:
582
583 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
584         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
585
586 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
587         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
588 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
589         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
590 $(am__aclocal_m4_deps):
591
592 clean-noinstLTLIBRARIES:
593         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
594         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
595           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
596           test "$$dir" != "$$p" || dir=.; \
597           echo "rm -f \"$${dir}/so_locations\""; \
598           rm -f "$${dir}/so_locations"; \
599         done
600 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
601         @$(NORMAL_INSTALL)
602         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
603         list2=; for p in $$list; do \
604           if test -f $$p; then \
605             list2="$$list2 $$p"; \
606           else :; fi; \
607         done; \
608         test -z "$$list2" || { \
609           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
610           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
611           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
612           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
613         }
614
615 uninstall-pkglibLTLIBRARIES:
616         @$(NORMAL_UNINSTALL)
617         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
618         for p in $$list; do \
619           $(am__strip_dir) \
620           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
621           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
622         done
623
624 clean-pkglibLTLIBRARIES:
625         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
626         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
627           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
628           test "$$dir" != "$$p" || dir=.; \
629           echo "rm -f \"$${dir}/so_locations\""; \
630           rm -f "$${dir}/so_locations"; \
631         done
632 libscisymbolic-algo.la: $(libscisymbolic_algo_la_OBJECTS) $(libscisymbolic_algo_la_DEPENDENCIES) $(EXTRA_libscisymbolic_algo_la_DEPENDENCIES) 
633         $(F77LINK)  $(libscisymbolic_algo_la_OBJECTS) $(libscisymbolic_algo_la_LIBADD) $(LIBS)
634 libscisymbolic.la: $(libscisymbolic_la_OBJECTS) $(libscisymbolic_la_DEPENDENCIES) $(EXTRA_libscisymbolic_la_DEPENDENCIES) 
635         $(LINK) -rpath $(pkglibdir) $(libscisymbolic_la_OBJECTS) $(libscisymbolic_la_LIBADD) $(LIBS)
636
637 mostlyclean-compile:
638         -rm -f *.$(OBJEXT)
639
640 distclean-compile:
641         -rm -f *.tab.c
642
643 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisymbolic_la-gw_symbolic.Plo@am__quote@
644 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisymbolic_la-sci_addsubf.Plo@am__quote@
645 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisymbolic_la-sci_ldivf.Plo@am__quote@
646 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisymbolic_la-sci_mulf.Plo@am__quote@
647 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscisymbolic_la-sci_rdivf.Plo@am__quote@
648
649 .c.o:
650 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
651 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
652 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
653 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
654 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
655
656 .c.obj:
657 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
658 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
661 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
662
663 .c.lo:
664 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
665 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
669
670 libscisymbolic_la-gw_symbolic.lo: sci_gateway/c/gw_symbolic.c
671 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscisymbolic_la-gw_symbolic.lo -MD -MP -MF $(DEPDIR)/libscisymbolic_la-gw_symbolic.Tpo -c -o libscisymbolic_la-gw_symbolic.lo `test -f 'sci_gateway/c/gw_symbolic.c' || echo '$(srcdir)/'`sci_gateway/c/gw_symbolic.c
672 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscisymbolic_la-gw_symbolic.Tpo $(DEPDIR)/libscisymbolic_la-gw_symbolic.Plo
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_symbolic.c' object='libscisymbolic_la-gw_symbolic.lo' libtool=yes @AMDEPBACKSLASH@
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
675 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscisymbolic_la-gw_symbolic.lo `test -f 'sci_gateway/c/gw_symbolic.c' || echo '$(srcdir)/'`sci_gateway/c/gw_symbolic.c
676
677 libscisymbolic_la-sci_mulf.lo: sci_gateway/c/sci_mulf.c
678 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscisymbolic_la-sci_mulf.lo -MD -MP -MF $(DEPDIR)/libscisymbolic_la-sci_mulf.Tpo -c -o libscisymbolic_la-sci_mulf.lo `test -f 'sci_gateway/c/sci_mulf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mulf.c
679 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscisymbolic_la-sci_mulf.Tpo $(DEPDIR)/libscisymbolic_la-sci_mulf.Plo
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mulf.c' object='libscisymbolic_la-sci_mulf.lo' libtool=yes @AMDEPBACKSLASH@
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscisymbolic_la-sci_mulf.lo `test -f 'sci_gateway/c/sci_mulf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mulf.c
683
684 libscisymbolic_la-sci_ldivf.lo: sci_gateway/c/sci_ldivf.c
685 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscisymbolic_la-sci_ldivf.lo -MD -MP -MF $(DEPDIR)/libscisymbolic_la-sci_ldivf.Tpo -c -o libscisymbolic_la-sci_ldivf.lo `test -f 'sci_gateway/c/sci_ldivf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_ldivf.c
686 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscisymbolic_la-sci_ldivf.Tpo $(DEPDIR)/libscisymbolic_la-sci_ldivf.Plo
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_ldivf.c' object='libscisymbolic_la-sci_ldivf.lo' libtool=yes @AMDEPBACKSLASH@
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
689 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscisymbolic_la-sci_ldivf.lo `test -f 'sci_gateway/c/sci_ldivf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_ldivf.c
690
691 libscisymbolic_la-sci_addsubf.lo: sci_gateway/c/sci_addsubf.c
692 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscisymbolic_la-sci_addsubf.lo -MD -MP -MF $(DEPDIR)/libscisymbolic_la-sci_addsubf.Tpo -c -o libscisymbolic_la-sci_addsubf.lo `test -f 'sci_gateway/c/sci_addsubf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addsubf.c
693 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscisymbolic_la-sci_addsubf.Tpo $(DEPDIR)/libscisymbolic_la-sci_addsubf.Plo
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_addsubf.c' object='libscisymbolic_la-sci_addsubf.lo' libtool=yes @AMDEPBACKSLASH@
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
696 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscisymbolic_la-sci_addsubf.lo `test -f 'sci_gateway/c/sci_addsubf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addsubf.c
697
698 libscisymbolic_la-sci_rdivf.lo: sci_gateway/c/sci_rdivf.c
699 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscisymbolic_la-sci_rdivf.lo -MD -MP -MF $(DEPDIR)/libscisymbolic_la-sci_rdivf.Tpo -c -o libscisymbolic_la-sci_rdivf.lo `test -f 'sci_gateway/c/sci_rdivf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_rdivf.c
700 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscisymbolic_la-sci_rdivf.Tpo $(DEPDIR)/libscisymbolic_la-sci_rdivf.Plo
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_rdivf.c' object='libscisymbolic_la-sci_rdivf.lo' libtool=yes @AMDEPBACKSLASH@
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
703 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscisymbolic_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscisymbolic_la-sci_rdivf.lo `test -f 'sci_gateway/c/sci_rdivf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_rdivf.c
704
705 .f.o:
706         $(F77COMPILE) -c -o $@ $<
707
708 .f.obj:
709         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
710
711 .f.lo:
712         $(LTF77COMPILE) -c -o $@ $<
713
714 sci_f_addsubf.lo: sci_gateway/fortran/sci_f_addsubf.f
715         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_addsubf.lo `test -f 'sci_gateway/fortran/sci_f_addsubf.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_addsubf.f
716
717 sci_f_mulf.lo: sci_gateway/fortran/sci_f_mulf.f
718         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_mulf.lo `test -f 'sci_gateway/fortran/sci_f_mulf.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_mulf.f
719
720 sci_f_ldivf.lo: sci_gateway/fortran/sci_f_ldivf.f
721         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_ldivf.lo `test -f 'sci_gateway/fortran/sci_f_ldivf.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_ldivf.f
722
723 sci_f_rdivf.lo: sci_gateway/fortran/sci_f_rdivf.f
724         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_rdivf.lo `test -f 'sci_gateway/fortran/sci_f_rdivf.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_rdivf.f
725
726 atome.lo: src/fortran/atome.f
727         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o atome.lo `test -f 'src/fortran/atome.f' || echo '$(srcdir)/'`src/fortran/atome.f
728
729 mostlyclean-libtool:
730         -rm -f *.lo
731
732 clean-libtool:
733         -rm -rf .libs _libs
734 install-libscisymbolic_la_etcDATA: $(libscisymbolic_la_etc_DATA)
735         @$(NORMAL_INSTALL)
736         @list='$(libscisymbolic_la_etc_DATA)'; test -n "$(libscisymbolic_la_etcdir)" || list=; \
737         if test -n "$$list"; then \
738           echo " $(MKDIR_P) '$(DESTDIR)$(libscisymbolic_la_etcdir)'"; \
739           $(MKDIR_P) "$(DESTDIR)$(libscisymbolic_la_etcdir)" || exit 1; \
740         fi; \
741         for p in $$list; do \
742           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
743           echo "$$d$$p"; \
744         done | $(am__base_list) | \
745         while read files; do \
746           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscisymbolic_la_etcdir)'"; \
747           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscisymbolic_la_etcdir)" || exit $$?; \
748         done
749
750 uninstall-libscisymbolic_la_etcDATA:
751         @$(NORMAL_UNINSTALL)
752         @list='$(libscisymbolic_la_etc_DATA)'; test -n "$(libscisymbolic_la_etcdir)" || list=; \
753         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
754         dir='$(DESTDIR)$(libscisymbolic_la_etcdir)'; $(am__uninstall_files_from_dir)
755 install-libscisymbolic_la_rootDATA: $(libscisymbolic_la_root_DATA)
756         @$(NORMAL_INSTALL)
757         @list='$(libscisymbolic_la_root_DATA)'; test -n "$(libscisymbolic_la_rootdir)" || list=; \
758         if test -n "$$list"; then \
759           echo " $(MKDIR_P) '$(DESTDIR)$(libscisymbolic_la_rootdir)'"; \
760           $(MKDIR_P) "$(DESTDIR)$(libscisymbolic_la_rootdir)" || exit 1; \
761         fi; \
762         for p in $$list; do \
763           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
764           echo "$$d$$p"; \
765         done | $(am__base_list) | \
766         while read files; do \
767           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscisymbolic_la_rootdir)'"; \
768           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscisymbolic_la_rootdir)" || exit $$?; \
769         done
770
771 uninstall-libscisymbolic_la_rootDATA:
772         @$(NORMAL_UNINSTALL)
773         @list='$(libscisymbolic_la_root_DATA)'; test -n "$(libscisymbolic_la_rootdir)" || list=; \
774         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
775         dir='$(DESTDIR)$(libscisymbolic_la_rootdir)'; $(am__uninstall_files_from_dir)
776 install-libscisymbolic_la_sci_gatewayDATA: $(libscisymbolic_la_sci_gateway_DATA)
777         @$(NORMAL_INSTALL)
778         @list='$(libscisymbolic_la_sci_gateway_DATA)'; test -n "$(libscisymbolic_la_sci_gatewaydir)" || list=; \
779         if test -n "$$list"; then \
780           echo " $(MKDIR_P) '$(DESTDIR)$(libscisymbolic_la_sci_gatewaydir)'"; \
781           $(MKDIR_P) "$(DESTDIR)$(libscisymbolic_la_sci_gatewaydir)" || exit 1; \
782         fi; \
783         for p in $$list; do \
784           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
785           echo "$$d$$p"; \
786         done | $(am__base_list) | \
787         while read files; do \
788           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscisymbolic_la_sci_gatewaydir)'"; \
789           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscisymbolic_la_sci_gatewaydir)" || exit $$?; \
790         done
791
792 uninstall-libscisymbolic_la_sci_gatewayDATA:
793         @$(NORMAL_UNINSTALL)
794         @list='$(libscisymbolic_la_sci_gateway_DATA)'; test -n "$(libscisymbolic_la_sci_gatewaydir)" || list=; \
795         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
796         dir='$(DESTDIR)$(libscisymbolic_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
797
798 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
799         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
800         unique=`for i in $$list; do \
801             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
802           done | \
803           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
804               END { if (nonempty) { for (i in files) print i; }; }'`; \
805         mkid -fID $$unique
806 tags: TAGS
807
808 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
809                 $(TAGS_FILES) $(LISP)
810         set x; \
811         here=`pwd`; \
812         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
813         unique=`for i in $$list; do \
814             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
815           done | \
816           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
817               END { if (nonempty) { for (i in files) print i; }; }'`; \
818         shift; \
819         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
820           test -n "$$unique" || unique=$$empty_fix; \
821           if test $$# -gt 0; then \
822             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
823               "$$@" $$unique; \
824           else \
825             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
826               $$unique; \
827           fi; \
828         fi
829 ctags: CTAGS
830 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
831                 $(TAGS_FILES) $(LISP)
832         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
833         unique=`for i in $$list; do \
834             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
835           done | \
836           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
837               END { if (nonempty) { for (i in files) print i; }; }'`; \
838         test -z "$(CTAGS_ARGS)$$unique" \
839           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
840              $$unique
841
842 GTAGS:
843         here=`$(am__cd) $(top_builddir) && pwd` \
844           && $(am__cd) $(top_srcdir) \
845           && gtags -i $(GTAGS_ARGS) "$$here"
846
847 distclean-tags:
848         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
849
850 distdir: $(DISTFILES)
851         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
852         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
853         list='$(DISTFILES)'; \
854           dist_files=`for file in $$list; do echo $$file; done | \
855           sed -e "s|^$$srcdirstrip/||;t" \
856               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
857         case $$dist_files in \
858           */*) $(MKDIR_P) `echo "$$dist_files" | \
859                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
860                            sort -u` ;; \
861         esac; \
862         for file in $$dist_files; do \
863           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
864           if test -d $$d/$$file; then \
865             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
866             if test -d "$(distdir)/$$file"; then \
867               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
868             fi; \
869             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
870               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
871               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
872             fi; \
873             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
874           else \
875             test -f "$(distdir)/$$file" \
876             || cp -p $$d/$$file "$(distdir)/$$file" \
877             || exit 1; \
878           fi; \
879         done
880 check-am: all-am
881         $(MAKE) $(AM_MAKEFLAGS) check-local
882 check: check-am
883 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
884 installdirs:
885         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscisymbolic_la_etcdir)" "$(DESTDIR)$(libscisymbolic_la_rootdir)" "$(DESTDIR)$(libscisymbolic_la_sci_gatewaydir)"; do \
886           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
887         done
888 install: install-am
889 install-exec: install-exec-am
890 install-data: install-data-am
891 uninstall: uninstall-am
892
893 install-am: all-am
894         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
895
896 installcheck: installcheck-am
897 install-strip:
898         if test -z '$(STRIP)'; then \
899           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
900             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
901               install; \
902         else \
903           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
904             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
905             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
906         fi
907 mostlyclean-generic:
908
909 clean-generic:
910
911 distclean-generic:
912         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
913         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
914
915 maintainer-clean-generic:
916         @echo "This command is intended for maintainers to use"
917         @echo "it deletes files that may require special tools to rebuild."
918 clean: clean-am
919
920 clean-am: clean-generic clean-libtool clean-local \
921         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
922
923 distclean: distclean-am
924         -rm -rf ./$(DEPDIR)
925         -rm -f Makefile
926 distclean-am: clean-am distclean-compile distclean-generic \
927         distclean-local distclean-tags
928
929 dvi: dvi-am
930
931 dvi-am:
932
933 html: html-am
934
935 html-am:
936
937 info: info-am
938
939 info-am:
940
941 install-data-am: install-data-local install-libscisymbolic_la_etcDATA \
942         install-libscisymbolic_la_rootDATA \
943         install-libscisymbolic_la_sci_gatewayDATA
944
945 install-dvi: install-dvi-am
946
947 install-dvi-am:
948
949 install-exec-am: install-pkglibLTLIBRARIES
950
951 install-html: install-html-am
952
953 install-html-am: install-html-local
954
955 install-info: install-info-am
956
957 install-info-am:
958
959 install-man:
960
961 install-pdf: install-pdf-am
962
963 install-pdf-am:
964
965 install-ps: install-ps-am
966
967 install-ps-am:
968
969 installcheck-am:
970
971 maintainer-clean: maintainer-clean-am
972         -rm -rf ./$(DEPDIR)
973         -rm -f Makefile
974 maintainer-clean-am: distclean-am maintainer-clean-generic
975
976 mostlyclean: mostlyclean-am
977
978 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
979         mostlyclean-libtool
980
981 pdf: pdf-am
982
983 pdf-am:
984
985 ps: ps-am
986
987 ps-am:
988
989 uninstall-am: uninstall-libscisymbolic_la_etcDATA \
990         uninstall-libscisymbolic_la_rootDATA \
991         uninstall-libscisymbolic_la_sci_gatewayDATA \
992         uninstall-pkglibLTLIBRARIES
993
994 .MAKE: check-am install-am install-strip
995
996 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
997         clean clean-generic clean-libtool clean-local \
998         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
999         distclean distclean-compile distclean-generic \
1000         distclean-libtool distclean-local distclean-tags distdir dvi \
1001         dvi-am html html-am info info-am install install-am \
1002         install-data install-data-am install-data-local install-dvi \
1003         install-dvi-am install-exec install-exec-am install-html \
1004         install-html-am install-html-local install-info \
1005         install-info-am install-libscisymbolic_la_etcDATA \
1006         install-libscisymbolic_la_rootDATA \
1007         install-libscisymbolic_la_sci_gatewayDATA install-man \
1008         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1009         install-ps install-ps-am install-strip installcheck \
1010         installcheck-am installdirs maintainer-clean \
1011         maintainer-clean-generic mostlyclean mostlyclean-compile \
1012         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1013         tags uninstall uninstall-am \
1014         uninstall-libscisymbolic_la_etcDATA \
1015         uninstall-libscisymbolic_la_rootDATA \
1016         uninstall-libscisymbolic_la_sci_gatewayDATA \
1017         uninstall-pkglibLTLIBRARIES
1018
1019
1020 # This target enables tests for Scilab
1021 check-local: $(top_builddir)/scilab-bin test
1022         if test -d $(mydatadir)/tests; then \
1023           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1024         fi
1025 check-code:
1026         if test -f build.xml; then \
1027                 $(ANT) checkstyle; \
1028         fi
1029         if test -x "$(SPLINT)"; then \
1030                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1031         fi
1032 @NEED_JAVA_TRUE@java:
1033 # Some configurations needs to export JAVA_HOME in the current env
1034 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1035 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1036 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1037 @NEED_JAVA_TRUE@                $(ANT); \
1038 @NEED_JAVA_TRUE@        fi
1039
1040 @NEED_JAVA_TRUE@clean-java:
1041 # Some configurations needs to export JAVA_HOME in the current env
1042 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1043 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1044 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1045 @NEED_JAVA_TRUE@                $(ANT) clean; \
1046 @NEED_JAVA_TRUE@        fi;
1047
1048 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1049 # We call the target swig-build on the variable SWIG_WRAPPERS
1050
1051 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1052 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1053 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1054 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1055 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1056 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1057 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1058 @SWIG_TRUE@             done; \
1059 @SWIG_TRUE@     fi
1060
1061 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1062 # We call the target swig-build on the variable SWIG_WRAPPERS
1063
1064 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1065 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1066 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1067 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1068 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1069 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1070 @GIWS_TRUE@             done; \
1071 @GIWS_TRUE@     fi
1072
1073 @GIWS_TRUE@giws-exception:
1074 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1075 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1076 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1077
1078 macros:
1079         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1080                 echo "Error : Cannot build $< : Scilab has not been built"; \
1081         else \
1082                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1083         fi)
1084
1085 # Removes the macros
1086 clean-macros:
1087 # Removes macros (*.bin generated from .sci)
1088         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1089                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1090                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1091         done
1092
1093 test:
1094 # More tests could be added here
1095         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1096         if test -f build.xml -a $$USEANT -eq 1; then \
1097                 $(ANT) test; \
1098         fi
1099
1100 all-local: $(TARGETS_ALL)
1101
1102 .sci.bin:
1103         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1104         echo "Error : Cannot build $< : Scilab has not been build"; \
1105         else \
1106         echo "Creating $@"; \
1107         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1108         fi )
1109
1110 install-html-local:
1111
1112 install-data-local-local:
1113 # Mainly for javasci
1114         @if test -d $(srcdir)/javadoc; then \
1115                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1116         fi
1117 # If the user wants the help sources to be installed
1118 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1119 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1120 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1121 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1122 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1123 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1124 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1125 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1126 @INSTALL_HELP_XML_TRUE@           done ; \
1127 @INSTALL_HELP_XML_TRUE@         fi; \
1128 @INSTALL_HELP_XML_TRUE@  fi; \
1129 @INSTALL_HELP_XML_TRUE@ done; \
1130 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1131 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1132 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1133 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1134 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1135 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1136 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1137 @INSTALL_HELP_XML_TRUE@           done ; \
1138 @INSTALL_HELP_XML_TRUE@         fi; \
1139 @INSTALL_HELP_XML_TRUE@ fi
1140 install-data-local:
1141 # Install the tests
1142         @echo "-------- Install tests (if any) --------"; \
1143         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1144           if test -d $(srcdir)/$$dir/; then \
1145             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1146                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1147                     if test -d "$(srcdir)/$$dir/$$file"; then \
1148                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1149                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1150                     else \
1151                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1152                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1153                     fi \
1154                   done; \
1155           fi; \
1156         done
1157 # Install the help chapter
1158         @echo "-------- Install the help chapter (if any) --------"; \
1159         for lang in $(HELP_CHAPTERLANG); do \
1160                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1161                 if test -f $$HELPFILE; then \
1162                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1163                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1164                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1165                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1166                 fi; \
1167         done
1168 # Install the demos & examples
1169         @echo "-------- Install demos & examples (if any) --------"; \
1170         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1171           if test -d $(srcdir)/$$dir/; then \
1172             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1173                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1174                     if test -d "$(srcdir)/$$dir/$$file"; then \
1175                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1176                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1177                     else \
1178                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1179                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1180                     fi \
1181                   done; \
1182           fi; \
1183         done
1184 # Install the macros
1185         @echo "-------- Install macros (if any) --------"; \
1186         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1187           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1188                 if test -d $(srcdir)/$$dir/; then \
1189                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1190                         if test -n "$(MACROSSPECIALEXT)"; then \
1191                                 specialExtDir=""; \
1192                                 for specialExt in $(MACROSSPECIALEXT); do \
1193                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1194                                 done; \
1195                                 FILELIST="$$FILELIST $$specialExtDir"; \
1196                         fi; \
1197                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1198                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1199                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1200                   done; \
1201                 fi; \
1202         done
1203 # Install java files (.jar)
1204         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1205         echo "-------- Install jar files --------"; \
1206     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1207           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1208                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1209                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1210           done ; \
1211         fi
1212
1213 ########### CLEAN ###################
1214 # Clean help (generated automatically by Scilab)
1215 # It used to clean the macro (clean-macros) but this was causing
1216 # make clean && make to fail Scilab startup
1217 @NEED_JAVA_TRUE@clean-local: clean-java
1218 @NEED_JAVA_FALSE@clean-local:
1219
1220 distclean-local:
1221         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1222
1223 .PHONY: macros java swig giws
1224
1225 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1226 # Otherwise a system limit (for SysV at least) may be exceeded.
1227 .NOEXPORT: